Package org.linphone.core

# Enum Class UpnpState

java.lang.Object
java.lang.Enum<UpnpState>
org.linphone.core.UpnpState

All Implemented Interfaces:
  `Serializable`, `Comparable<UpnpState>`, `Constable`

public enum UpnpState extends Enum<UpnpState>
Enum describing uPnP states.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Adding`
Internal use: Only used by port binding.
`Blacklisted`
IGD router is blacklisted.
`Idle`
uPnP is not activate
`Ko`
uPnP processing has failed
`NotAvailable`
uPnP is not available
`Ok`
uPnP is enabled
`Pending`
uPnP process is in progress
`Removing`
Internal use: Only used by port binding.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static UpnpState`
`fromInt(int value)`
`protected static UpnpState[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(UpnpState[] values)`
`static UpnpState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UpnpState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Idle

public static final UpnpState Idle
uPnP is not activate

### Pending

public static final UpnpState Pending
uPnP process is in progress

### Adding

public static final UpnpState Adding
Internal use: Only used by port binding.

### Removing

public static final UpnpState Removing
Internal use: Only used by port binding.

### NotAvailable

public static final UpnpState NotAvailable
uPnP is not available

### Ok

public static final UpnpState Ok
uPnP is enabled

### Ko

public static final UpnpState Ko
uPnP processing has failed

### Blacklisted

public static final UpnpState Blacklisted
IGD router is blacklisted.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static UpnpState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static UpnpState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static UpnpState fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static UpnpState[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(UpnpState[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()